Overview
GET
/processing/jobs/{id}/streamprocessingServer-sent completion stream for a job
Opens an SSE stream that emits one `job` event ({ id, status, result }) when the job reaches a terminal state, then closes. Emits immediately if already terminal. Closes after 60s with no event if still running (client should fall back to polling).
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
text/event-stream of job events
No response body.
401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/processing/jobs/{id}/stream" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/processing/jobs/{id}/stream", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();